=== debian/changelog ===
pwl-pc-services (4.3.5-0ubuntu1~ppa1) plucky; urgency=medium

  * Initial release (LP: #2084776).

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Mon, 10 Mar 2025 14:50:04 +0800
