=== debian/control ===
Source: pwl-pc-services
Section: non-free/net
Priority: optional
Maintainer: Canonical Commercial Engineering Group <commercial-engineering@canonical.com>
Uploaders: Yao Wei (魏銘廷) <yao.wei@canonical.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-apparmor,
 dh-modaliases,
 libdbus-1-dev,
 libglib2.0-dev,
 libmbim-glib-dev (>= 1.31.2-0ubuntu4),
 libmm-glib-dev,
 libudev-dev,
 libxml2-dev,
 openssl,
 pkgconf,
 udev,
Standards-Version: 4.7.0
Homepage: https://github.com/palcomwireless/linux_pkgs
Vcs-Browser: https://git.launchpad.net/~oem-solutions-engineers/pwl-pc-services
Vcs-Git: https://git.launchpad.net/~oem-solutions-engineers/pwl-pc-services
Rules-Requires-Root: no
XS-Autobuild: yes

Package: pwl-pc-services
Architecture: any
Depends:
 ${misc:Depends},
 pwl-core-service,
 pwl-fwupdate-service,
 pwl-madpt-service,
 pwl-pref-service,
 pwl-unlock-service,
XB-Modaliases: ${modaliases}
Description: Service packages for Palcom Wireless WWAN modules
 This metapackage installs all services for Palcom Wireless WWAN modules

Package: pwl-core-service
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, modemmanager
Description: Core controller of Palcom Wireless services
 The package provides core controller of Palcom Wireless services

Package: pwl-fwupdate-service
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pwl-core-service
Recommends: pwl-firmware
Description: Firmware update service for Palcom Wireless WWAN modules
 The package provides Firmware update service for Palcom Wireless WWAN modules

Package: pwl-madpt-service
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pwl-core-service
Description: Module communication adapter service for Palcom Wireless WWAN modules
 The package provides Module communication adapter service for Palcom Wireless
 WWAN modules

Package: pwl-pref-service
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pwl-core-service
Description: Config preference for the Palcom Wireless packages
 The package config preference for the Palcom Wireless packages

Package: pwl-unlock-service
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, pwl-core-service, libmbim-utils
Description: FCC unlock procedure for the Palcom Wireless WWAN modules
 The package performs the FCC unlock procedure for the module.

Package: pwl-test-quick-suspend-resume
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: ModemManager drop-in file for system suspend
 The drop-in file will change ModemManager execution parameter to allow modem
 object not being removed during host suspension.
