=== debian/watch ===
version=4
#opts="mode=git,pgpmode=gittag" \ # TODO: https://bugs.debian.org/1015233
opts="mode=git" \
https://github.com/palcomwireless/linux_pkgs.git refs/tags/@ANY_VERSION@
