## pwl-pc-services 4.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 set(CPACK_GENERATOR "DEB")
 set(CPACK_PACKAGE_NAME "pwl-linux-pkgs")
-set(CPACK_PACKAGE_VERSION "4.3.5")
+set(CPACK_PACKAGE_VERSION "4.4.3")
 set(CPACK_DEBIAN_PACKAGE_SECTION "base")
 set(CPACK_DEBIAN_FILE_NAME DEB-DEFAULT)
 set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
