=== debian/changelog ===
pwl-pc-services (4.4.3-0ubuntu1~ppa1) questing; urgency=medium

  * New upstream version 4.4.3

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Tue, 08 Jul 2025 15:08:01 +0800

pwl-pc-services (4.3.5-0ubuntu1~ppa3) plucky; urgency=medium

  * d/control: add pwl-test-quick-suspend-resume into pwl-pc-services
    Recommends

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Mon, 30 Jun 2025 16:43:53 +0800

pwl-pc-services (4.3.5-0ubuntu1~ppa2) plucky; urgency=medium

  * debian/control: remove modaliases for pwl-test-quick-suspend-resume

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Thu, 26 Jun 2025 16:09:37 +0800
