=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
  pwl-madpt-service,
  pwl-pref-service,
  pwl-unlock-service,
+Recommends:
+ pwl-test-quick-suspend-resume,
 XB-Modaliases: ${modaliases}
 Description: Service packages for Palcom Wireless WWAN modules
  This metapackage installs all services for Palcom Wireless WWAN modules
@@ -72,7 +74,6 @@
 Package: pwl-test-quick-suspend-resume
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-XB-Modaliases: ${modaliases}
 Description: ModemManager drop-in file for system suspend
  The drop-in file will change ModemManager execution parameter to allow modem
  object not being removed during host suspension.
